> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get Volunteer Opportunities

GET https://api.virtuoussoftware.com/api/VolunteerOpportunity

Reference: https://virtuous.ferndocs.com/reference/crm-plus/volunteering/get-volunteer-opportunities

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Query parameters

- `filter` (string, optional) — The optional filter.
- `skip` (integer, optional) — The number of records to skip. Default = 0.
- `take` (integer, optional) — The number of records to take. Default = 10.

## Response

### 200

OK

- `list` (list of ApiVolunteerOpportunityGetResponsesContentApplicationJsonSchemaListItems, optional)
- `total` (integer, optional)

## Types

### ApiVolunteerOpportunityGetResponsesContentApplicationJsonSchemaListItems

- `id` (integer, optional)
- `name` (string, optional)
- `url` (string, optional)
- `description` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `anytime` (boolean, optional)
- `startDateTime` (string, optional)
- `endDateTime` (string, optional)
- `timeZone` (string, optional)
- `isActive` (boolean, optional)
- `isLocalOnly` (boolean, optional)
- `currentPriority` (string, optional)
- `currentNeed` (integer, optional)
- `preferredNumberOfHours` (integer, optional)
- `anywhere` (boolean, optional)
- `locationName` (string, optional)
- `address1` (string, optional)
- `address2` (string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `postal` (string, optional)
- `country` (string, optional)
- `totalVolunteers` (integer, optional)
- `totalVolunteerHours` (integer, optional)
- `currentNeedFilledPercentage` (integer, optional)
- `hoursFilledPercentage` (integer, optional)
- `volunteerOrganizers` (list of ApiVolunteerOpportunityGetResponsesContentApplicationJsonSchemaListItemsVolunteerOrganizersItems, optional)
- `volunteerOpportunityUrl` (string, optional)
- `volunteerOrganizersUrl` (string, optional)
- `volunteersUrl` (string, optional)
- `customFields` (list of ApiVolunteerOpportunityGetResponsesContentApplicationJsonSchemaListItemsCustomFieldsItems, optional)

### ApiVolunteerOpportunityGetResponsesContentApplicationJsonSchemaListItemsVolunteerOrganizersItems

- `id` (integer, optional)
- `contactId` (integer, optional)
- `contactIndividualId` (integer, optional)
- `displayName` (string, optional)
- `firstName` (string, optional)
- `avatarUrl` (any, optional, nullable)
- `primaryPhone` (string, optional)
- `primaryEmail` (string, optional)
- `contactUrl` (string, optional)
- `volunteerOrganizerUrl` (string, optional)
- `volunteerOpportunityUrl` (string, optional)

### ApiVolunteerOpportunityGetResponsesContentApplicationJsonSchemaListItemsCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Response**

```json
{
  "list": [
    {
      "id": 1,
      "name": "Sunday Soup Kitchen",
      "url": "https://soupkitchen.org/sunday",
      "description": "Come on out to our soup kitchen and pitch in!",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "anytime": false,
      "startDateTime": "3/27/2022 12:00 PM",
      "endDateTime": "3/27/2022 6:00 PM",
      "timeZone": "US/Arizona",
      "isActive": true,
      "isLocalOnly": true,
      "currentPriority": "Medium",
      "currentNeed": 20,
      "preferredNumberOfHours": 20,
      "anywhere": false,
      "locationName": "Downtown Soup Kitchen",
      "address1": "123 Nowhere Ave",
      "address2": "Suite 200",
      "city": "Phoenix",
      "state": "AZ",
      "postal": "85004",
      "country": "US",
      "totalVolunteers": 0,
      "totalVolunteerHours": 0,
      "currentNeedFilledPercentage": 0,
      "hoursFilledPercentage": 0,
      "volunteerOrganizers": [
        {
          "id": 1,
          "contactId": 122,
          "contactIndividualId": 134,
          "displayName": "Bob Loblaw",
          "firstName": "Bob",
          "avatarUrl": null,
          "primaryPhone": "555-555-5555",
          "primaryEmail": "bob@loblaw.org",
          "contactUrl": "https://api.virtuoussoftware.com/api/Contact/122",
          "volunteerOrganizerUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1/Organizers/1",
          "volunteerOpportunityUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1"
        }
      ],
      "volunteerOpportunityUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1",
      "volunteerOrganizersUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1/Organizers/1",
      "volunteersUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1/Volunteers",
      "customFields": [
        {
          "name": "Meal Options",
          "value": "Soup and Salad for Lunch, Pizza for Dinner",
          "displayName": "What meal options will be available?"
        }
      ]
    }
  ],
  "total": 1
}
```

**SDK Code**

```python Volunteering_getVolunteerOpportunities_example
import requests

url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity"

querystring = {"filter":"<string>","skip":"1","take":"1"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Volunteering_getVolunteerOpportunities_example
const url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity?filter=%3Cstring%3E&skip=1&take=1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Volunteering_getVolunteerOpportunities_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/VolunteerOpportunity?filter=%3Cstring%3E&skip=1&take=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Volunteering_getVolunteerOpportunities_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/VolunteerOpportunity?filter=%3Cstring%3E&skip=1&take=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Volunteering_getVolunteerOpportunities_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/VolunteerOpportunity?filter=%3Cstring%3E&skip=1&take=1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Volunteering_getVolunteerOpportunities_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/VolunteerOpportunity?filter=%3Cstring%3E&skip=1&take=1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Volunteering_getVolunteerOpportunities_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/VolunteerOpportunity?filter=%3Cstring%3E&skip=1&take=1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Volunteering_getVolunteerOpportunities_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/VolunteerOpportunity?filter=%3Cstring%3E&skip=1&take=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```